#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	Pyrex

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Pyrex - language for writing Python extension modules.
Name:		python%{PVER}-pyrex
Version:	0.9.8.5
Release:	4
License:	GNU/GPL
URL:		http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/
Group:		Development/Python
Source0:	%{original_name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Provides:	Pyrex = %{version}-%{release}
Obsoletes:	Pyrex <= %{version}-%{release}
Obsoletes:	python25-Pyrex

#Automatically resolved build dependencies
BuildRequires: python%{PVER}-devel

%description
Pyrex lets you write code that mixes Python and C data types any way you want, and compiles it into a C extension for Python. 

%prep
%setup -q -n %{original_name}-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_datadir/emacs/site-lisp
cp Tools/pyrex-mode.el $RPM_BUILD_ROOT%_datadir/emacs/site-lisp
# removing unwanted stuff
rm -Rf $RPM_BUILD_ROOT/%{python_sitelib}/Pyrex/Mac
rm -f $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%files
%defattr(-,root,root)
%doc USAGE.txt README.txt CHANGES.txt ToDo.txt Demos Doc
%_bindir
%_libdir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Oct 30 2009 Christian Wasem <wasem@ccux-linux.de> 0.9.8.5-4
- rebuild against python26-2.6.3-1
* Sun Oct 25 2009 Christian Wasem <wasem@ccux-linux.de> 0.9.8.5-3
- rebuild against python25-2.5.4-3
* Thu Apr 30 2009 Christian Wasem <wasem@ccux-linux.de> 0.9.8.5-2
- rebuilt with explicit /usr/bin/python2.5
* Wed Dec 24 2008 Christian Wasem <wasem@ccux-linux.de> 0.9.8.5-1
- Version update, added docs, changed BuildArch to noarch
* Mon Aug 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.5.1a-1
- Version update
* Wed Sep 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.4.1-1
- Version update
- built against python 2.5
* Sat Dec 10 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.9.3-1
- Initial Release
